import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientArgsObjectSchema as PatientArgsObjectSchema } from './PatientArgs.schema';
import { PdfFileFindManySchema as PdfFileFindManySchema } from '../findManyPdfFile.schema';
import { PdfGroupCountOutputTypeArgsObjectSchema as PdfGroupCountOutputTypeArgsObjectSchema } from './PdfGroupCountOutputTypeArgs.schema'

const makeSchema = () => z.object({
  patient: z.union([z.boolean(), z.lazy(() => PatientArgsObjectSchema)]).optional(),
  pdfs: z.union([z.boolean(), z.lazy(() => PdfFileFindManySchema)]).optional(),
  _count: z.union([z.boolean(), z.lazy(() => PdfGroupCountOutputTypeArgsObjectSchema)]).optional()
}).strict();
export const PdfGroupIncludeObjectSchema: z.ZodType<Prisma.PdfGroupInclude> = makeSchema() as unknown as z.ZodType<Prisma.PdfGroupInclude>;
export const PdfGroupIncludeObjectZodSchema = makeSchema();
